use maraiah::marathon::defl::{self, load_gzip_header};

include!("data/rand.rs");

#[test]
fn defl_must_succeed()
{
   assert!(load_gzip_header(include_bytes!("data/gzipok1.bin")).is_ok());
   assert!(load_gzip_header(include_bytes!("data/gzipok2.bin")).is_ok());
   assert!(load_gzip_header(include_bytes!("data/gzipok3.bin")).is_ok());
}

#[test]
fn defl_must_not_succeed()
{
   for inp in &RANDOM {
      assert!(defl::load_gzip_header(inp).is_err());
   }

   assert!(load_gzip_header(include_bytes!("data/gzipbad1.bin")).is_err());
   assert!(load_gzip_header(include_bytes!("data/gzipbad2.bin")).is_err());
   assert!(load_gzip_header(include_bytes!("data/gzipbad3.bin")).is_err());
   assert!(load_gzip_header(include_bytes!("data/gzipbad4.bin")).is_err());
   assert!(load_gzip_header(include_bytes!("data/gzipbad5.bin")).is_err());
   assert!(load_gzip_header(include_bytes!("data/gzipbad6.bin")).is_err());
   assert!(load_gzip_header(include_bytes!("data/gzipbad7.bin")).is_err());
}

// EOF
